<?php

namespace App\Http\Controllers\ProvinceDashboard\OperatorDialogues;

use App\Http\Controllers\Controller;
use app\Http\Traits\ApiResponse;
use App\Models\OperatorDialogue;
use App\Services\Dashboard\Province\OperatorDialogues\DataTableService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class OperatorController extends Controller
{
    use ApiResponse;
    /**
     * Display a listing of the resource.
     */
    public function index(Request $request, DataTableService $dataTableService): JsonResponse
    {
        return response()->json($dataTableService->index($request));
    }

    /**
     * Display the specified resource.
     */
    public function show(OperatorDialogue $operatorDialogue): JsonResponse
    {
        return $this->successResponse($operatorDialogue);
    }

    /**
     * Update the specified resource in storage.
     */
    public function download(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function excel(string $id)
    {
        //
    }
}
